Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
https://api.uat.relesystest.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
Get a list of task completions.

Default sort is by lastModifiedDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
serviceFormFillingId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"4a859e9c-24a5-4856-9db7-c62c27594b7c","userId":"6ff30371-2c79-420d-8eb5-1bf60a217684","departmentId":"5798cb7d-b335-4de7-8829-27d602d12434","areaDepartmentId":"fc9d3565-3685-45d0-af4f-c62afebff9cf","serviceFormFillingId":"2085e398-96d7-4fe1-be34-e20393cb117d","creationDateTime":"2026-10-25T06:21:09.834299+00:00","lastModifiedDateTime":"2026-10-25T06:21:09.834299+00:00"},{"id":"fe101c58-af5f-4350-b3ba-80d9b6d732fc","userId":"c7c31cbe-cd17-45c8-858b-8893ef0b15ad","departmentId":"e806cc11-ac3a-434b-baab-ce7d7154e6d6","areaDepartmentId":null,"serviceFormFillingId":null,"creationDateTime":"2026-10-24T06:21:09.834299+00:00","lastModifiedDateTime":"2026-10-25T06:21:09.834299+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   serviceFormFillingId string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string